// Package docs GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import (
	"bytes"
	"encoding/json"
	"strings"
	"text/template"

	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "https://www.hzinsights.com/",
        "contact": {
            "name": "www.hzinsights.com/",
            "url": "https://www.hzinsights.com/",
            "email": "pyan@hzinsights.com"
        },
        "license": {
            "name": "Apache 2.0",
            "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/activity/addRemind": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "添加提醒",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "添加提醒",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "4001": {
                        "description": "指定错误",
                        "schema": {
                            "$ref": "#/definitions/activity.RemindCheckInfo"
                        }
                    }
                }
            }
        },
        "/activity/cancelRegister": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "取消报名",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "取消报名",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/cancelRemind": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "取消提醒",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "取消提醒",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/getActivityDetail": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取活动详情",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "获取活动详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/yb_activity.ActivityDetail"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/getActivityShareImg": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "生成活动分享图片",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "生成活动分享图片",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/getActivityVoices": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取活动录音",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "获取活动录音",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/yb_activity_voice.YbActivityVoice"
                            }
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/getPageList": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取活动列表",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "活动列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "活动类别/标题",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "活动状态 1-本周预告 2-进行中 3-已结束",
                        "name": "active_state",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "活动类型 1-线上会议 3-线下沙龙",
                        "name": "activity_type",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "是否查看仅有权限的 0-否 1-是",
                        "name": "has_permission",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "当前页码",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量",
                        "name": "limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/activity.ActivityList"
                            }
                        }
                    },
                    "400": {
                        "description": "活动获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/activity/registerActivity": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "报名活动",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "活动模块"
                ],
                "summary": "报名活动",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "activity_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "4001": {
                        "description": "指定错误",
                        "schema": {
                            "$ref": "#/definitions/activity.RegisterCheckInfo"
                        }
                    }
                }
            }
        },
        "/chart/getChartChassify": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取图表分类列表",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "图库模块"
                ],
                "summary": "获取图表分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "分类名称关键词",
                        "name": "Keywords",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/my_chart.MyChartClassifyListResp"
                        }
                    },
                    "400": {
                        "description": "分类列表获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/chart/getChartList": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取图表列表",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "图库模块"
                ],
                "summary": "获取图表列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "图表名称关键词",
                        "name": "Keywords",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "图表分类ID",
                        "name": "ClassifyId",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "当前页页码，从1开始",
                        "name": "Page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数据量",
                        "name": "Limit",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/my_chart.MyChartList"
                            }
                        }
                    },
                    "400": {
                        "description": "图库列表获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/company/permission/tree": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取FICC品种权限列表",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "客户模块"
                ],
                "summary": "获取FICC品种权限列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/company.FiccPermissionList"
                            }
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/getWxJsConf": {
            "get": {
                "description": "微信获取签名接口",
                "parameters": [
                    {
                        "type": "string",
                        "description": "url地址",
                        "name": "Url",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/my_chart/editChartInfo": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "编辑图表信息",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "图库模块"
                ],
                "summary": "编辑图表信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/chart_info.SaveChartInfoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/my_chart/getChartBeforeAndNext": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取当前图表上一张及下一张信息",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "图库模块"
                ],
                "summary": "获取当前图表上一张及下一张信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "我的图表ID",
                        "name": "MyChartId",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "我的图表分类ID",
                        "name": "MyChartClassifyId",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/chart_info.ChartBeforeNext"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/my_chart/getChartInfoDetail": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取图表详情",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "图库模块"
                ],
                "summary": "获取图表详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "时间段：1-00年至今; 2-10年至今; 3-15年至今; 4-21年至今; 5-指定区间; 6-指定年月至今; 7-18年至今; 8-19年至今; 9-20年至今",
                        "name": "DateType",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "图表分类ID",
                        "name": "ClassifyId",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/chart_info.ChartInfoDetailResp"
                        }
                    },
                    "400": {
                        "description": "图表详情获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/my_chart/moveMyChart": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "移动我的图表",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "图库模块"
                ],
                "summary": "移动我的图表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/my_chart.MoveMyChartReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/my_chart/moveMyChartClassify": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "移动我的图表分类",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "图库模块"
                ],
                "summary": "移动我的图表分类",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/my_chart.MoveMyChartClassifyReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/my_chart/refreshChartInfo": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "刷新图表信息",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "图库模块"
                ],
                "summary": "刷新图表信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/chart_info.SaveChartInfoReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/public/get_apply_variety_list": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取所有可以申请的品种权限列表",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公共模块"
                ],
                "summary": "获取所有可以申请的品种权限列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/logic.ApplyVariety"
                            }
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/public/get_share_poster": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取分享海报",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "公共模块"
                ],
                "summary": "获取分享海报",
                "parameters": [
                    {
                        "description": "type json string",
                        "name": "request",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/services.SharePosterReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/public/get_suncode_scene": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取小程序太阳码scene值",
                "tags": [
                    "公共模块"
                ],
                "summary": "获取小程序太阳码scene值",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "scene_key值",
                        "name": "scene_key",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/public/upload": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "文件上传",
                "consumes": [
                    "multipart/form-data"
                ],
                "tags": [
                    "公共模块"
                ],
                "summary": "文件上传",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "操作描述",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "上传成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "上传失败，存储目录创建失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/question/ask": {
            "post": {
                "description": "发布提问",
                "tags": [
                    "问答社区模块"
                ],
                "parameters": [
                    {
                        "type": "string",
                        "description": "问题内容",
                        "name": "question_content",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/question/detail": {
            "get": {
                "description": "获取问答详情",
                "tags": [
                    "问答社区模块"
                ],
                "parameters": [
                    {
                        "type": "integer",
                        "description": "问答ID",
                        "name": "question_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/response.CommunityQuestionItem"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/question/list": {
            "get": {
                "description": "获取问答列表",
                "tags": [
                    "问答社区模块"
                ],
                "parameters": [
                    {
                        "type": "integer",
                        "description": "页码",
                        "name": "page_index",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "每页数量",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "只看我的",
                        "name": "only_mine",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "品种权限ID",
                        "name": "chart_permission_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "回复状态 0-全部 2-待回答 3-已回答",
                        "name": "reply_status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "回复人ID",
                        "name": "replier_user_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "array",
                            "items": {
                                "$ref": "#/definitions/response.CommunityQuestionItem"
                            }
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/question/list/total": {
            "get": {
                "description": "问答列表数量统计",
                "tags": [
                    "问答社区模块"
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/response.CommunityQuestionListTotal"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/question/reply": {
            "post": {
                "description": "发布回复",
                "tags": [
                    "问答社区模块"
                ],
                "parameters": [
                    {
                        "type": "integer",
                        "description": "问答ID",
                        "name": "question_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "object",
                        "description": "音频列表",
                        "name": "audio_list",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/question/reply/read": {
            "post": {
                "description": "已读回复",
                "tags": [
                    "问答社区模块"
                ],
                "parameters": [
                    {
                        "type": "integer",
                        "description": "问答ID",
                        "name": "question_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "操作成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "操作失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/question/reply/upload_audio": {
            "post": {
                "description": "上传回复音频",
                "tags": [
                    "问答社区模块"
                ],
                "parameters": [
                    {
                        "type": "string",
                        "description": "音频文件",
                        "name": "file",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "上传成功",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "上传失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/question/unread": {
            "get": {
                "description": "我的问答未读数",
                "tags": [
                    "问答社区模块"
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "int"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/report/research_report": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取报告详情",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "报告接口"
                ],
                "summary": "获取报告详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "活动ID",
                        "name": "research_report_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/yb_activity.ActivityDetail"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/report/research_report_chapter": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取报告章节详情",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "报告接口"
                ],
                "summary": "获取报告章节详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "Bearer 31a165baebe6dec616b1f8f3207b4273",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "章节ID",
                        "name": "research_report_type_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/yb_activity.ActivityDetail"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/apply": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "用户申请",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "用户申请",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/user.ApplyReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/user.LoginResp"
                        }
                    }
                }
            }
        },
        "/user/get_email_code": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取邮箱验证码",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "获取邮箱验证码",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "电子邮箱账号",
                        "name": "email",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/get_last_apply_record": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取最近一条申请单信息",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "获取最近一条申请单信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "$ref": "#/definitions/user.Record"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/get_sms_code": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取短信验证码接口",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "获取短信验证码",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "手机号",
                        "name": "mobile",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "手机国际区号（中国大陆：86）",
                        "name": "area_num",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "type": "string"
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/get_tab_bar": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "获取用户的菜单栏权限",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "获取用户的菜单栏权限",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "array",
                            "items": {
                                "type": "string"
                            }
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/info": {
            "get": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "我的详情",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "我的详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "$ref": "#/definitions/user.Detail"
                        }
                    },
                    "400": {
                        "description": "获取失败",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/user/login": {
            "post": {
                "security": [
                    {
                        "ApiKeyAuth": []
                    }
                ],
                "description": "用户手机号/邮箱登录",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "用户模块"
                ],
                "summary": "用户登录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信登录后获取到的token",
                        "name": "Authorization",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "请求参数",
                        "name": "data",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/user.LoginReq"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/user.LoginResp"
                        }
                    }
                }
            }
        },
        "/wechat/getEncryptInfo": {
            "post": {
                "description": "消息解密",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "微信相关接口"
                ],
                "summary": "消息解密",
                "parameters": [
                    {
                        "type": "string",
                        "description": "加密数据",
                        "name": "encryptedData",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "加密算法初始向量",
                        "name": "iv",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "获取成功",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/wechat/login": {
            "get": {
                "description": "微信登录",
                "consumes": [
                    "application/json"
                ],
                "tags": [
                    "微信相关接口"
                ],
                "summary": "微信登录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "微信code",
                        "name": "code",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/response.LoginResp"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "activity.ActivityList": {
            "type": "object",
            "properties": {
                "activityId": {
                    "type": "integer"
                },
                "activityName": {
                    "description": "活动名称",
                    "type": "string"
                },
                "activityState": {
                    "description": "活动状态 1-本周预告 2-进行中 3-已结束",
                    "type": "integer"
                },
                "activityTypeId": {
                    "description": "活动类型ID",
                    "type": "integer"
                },
                "activityTypeName": {
                    "description": "活动类型名称",
                    "type": "string"
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "endTime": {
                    "description": "活动结束时间",
                    "type": "string"
                },
                "firstActivityTypeId": {
                    "description": "第一级的活动类型ID",
                    "type": "integer"
                },
                "firstActivityTypeName": {
                    "description": "第一级的活动类型名称",
                    "type": "string"
                },
                "hasPlayBack": {
                    "description": "是否有回放",
                    "type": "integer"
                },
                "hasRemind": {
                    "description": "是否已提醒",
                    "type": "integer"
                },
                "registerState": {
                    "description": "报名状态 0-取消报名 1-已报名",
                    "type": "integer"
                },
                "speaker": {
                    "description": "主讲人",
                    "type": "string"
                },
                "speakerBackgroundPic": {
                    "description": "主讲人背景图",
                    "type": "string"
                },
                "speakerHeadPic": {
                    "description": "主讲人头像",
                    "type": "string"
                },
                "startTime": {
                    "description": "活动开始时间",
                    "type": "string"
                },
                "voiceList": {
                    "description": "音频列表",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/yb_activity_voice.YbActivityVoice"
                    }
                },
                "weekString": {
                    "description": "周几",
                    "type": "string"
                }
            }
        },
        "activity.RegisterCheckInfo": {
            "type": "object",
            "properties": {
                "msg": {
                    "type": "string"
                },
                "specific": {
                    "type": "integer"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "activity.RemindCheckInfo": {
            "type": "object",
            "properties": {
                "msg": {
                    "type": "string"
                },
                "specific": {
                    "type": "integer"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "admin.Admin": {
            "type": "object",
            "properties": {
                "adminAvatar": {
                    "type": "string"
                },
                "adminName": {
                    "type": "string"
                },
                "authority": {
                    "description": "管理权限，0：无，1：部门负责人，2：小组负责人,3:超级管理员",
                    "type": "integer"
                },
                "createdTime": {
                    "description": "创建时间",
                    "type": "string"
                },
                "departmentId": {
                    "description": "部门id",
                    "type": "integer"
                },
                "departmentName": {
                    "description": "部门名称",
                    "type": "string"
                },
                "email": {
                    "type": "string"
                },
                "enabled": {
                    "description": "1:有效，0:禁用",
                    "type": "integer"
                },
                "groupId": {
                    "description": "分组id",
                    "type": "integer"
                },
                "groupName": {
                    "description": "分组名称",
                    "type": "string"
                },
                "lastLoginTime": {
                    "description": "最近登陆时间",
                    "type": "string"
                },
                "lastUpdatedPasswordTime": {
                    "type": "string"
                },
                "lastUpdatedTime": {
                    "type": "string"
                },
                "mobile": {
                    "description": "手机号",
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "position": {
                    "description": "职位",
                    "type": "string"
                },
                "realName": {
                    "type": "string"
                },
                "role": {
                    "description": "用户角色",
                    "type": "string"
                },
                "roleId": {
                    "description": "角色id",
                    "type": "integer"
                },
                "roleName": {
                    "description": "角色名称",
                    "type": "string"
                },
                "roleType": {
                    "description": "角色类型:1需要录入指标,0:不需要",
                    "type": "integer"
                },
                "roleTypeCode": {
                    "description": "角色编码",
                    "type": "string"
                }
            }
        },
        "chart_edb_mapping.ChartEdbInfoMappingList": {
            "type": "object",
            "properties": {
                "chartColor": {
                    "type": "string"
                },
                "chartEdbMappingId": {
                    "type": "integer"
                },
                "chartInfoId": {
                    "type": "integer"
                },
                "chartStyle": {
                    "type": "string"
                },
                "chartWidth": {
                    "type": "number"
                },
                "dataList": {},
                "edbCode": {
                    "type": "string"
                },
                "edbInfoId": {
                    "type": "integer"
                },
                "edbInfoType": {
                    "type": "integer"
                },
                "edbName": {
                    "type": "string"
                },
                "edbType": {
                    "type": "integer"
                },
                "endDate": {
                    "type": "string"
                },
                "frequency": {
                    "type": "string"
                },
                "isAxis": {
                    "type": "integer"
                },
                "isOrder": {
                    "type": "boolean"
                },
                "latestDate": {
                    "type": "string"
                },
                "latestValue": {
                    "type": "number"
                },
                "leadUnit": {
                    "type": "string"
                },
                "leadValue": {
                    "type": "integer"
                },
                "maxData": {
                    "type": "number"
                },
                "minData": {
                    "type": "number"
                },
                "modifyTime": {
                    "type": "string"
                },
                "source": {
                    "type": "integer"
                },
                "sourceName": {
                    "type": "string"
                },
                "startDate": {
                    "type": "string"
                },
                "uniqueCode": {
                    "type": "string"
                },
                "unit": {
                    "type": "string"
                }
            }
        },
        "chart_info.ChartBeforeNext": {
            "type": "object",
            "properties": {
                "nextChart": {
                    "$ref": "#/definitions/chart_info.ChartSortInfo"
                },
                "prevChart": {
                    "$ref": "#/definitions/chart_info.ChartSortInfo"
                }
            }
        },
        "chart_info.ChartInfoDetailResp": {
            "type": "object",
            "properties": {
                "chartInfo": {
                    "$ref": "#/definitions/chart_info.ChartInfoView"
                },
                "edbInfoList": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/chart_edb_mapping.ChartEdbInfoMappingList"
                    }
                }
            }
        },
        "chart_info.ChartInfoView": {
            "type": "object",
            "properties": {
                "calendar": {
                    "type": "string"
                },
                "chartClassifyId": {
                    "type": "integer"
                },
                "chartClassifyName": {
                    "type": "string"
                },
                "chartImage": {
                    "type": "string"
                },
                "chartInfoId": {
                    "type": "integer"
                },
                "chartName": {
                    "type": "string"
                },
                "chartSource": {
                    "type": "string"
                },
                "chartType": {
                    "type": "integer"
                },
                "createTime": {
                    "type": "string"
                },
                "dateType": {
                    "type": "integer"
                },
                "edbEndDate": {
                    "type": "string"
                },
                "edbInfoIds": {
                    "type": "string"
                },
                "endDate": {
                    "type": "string"
                },
                "isAdd": {
                    "type": "boolean"
                },
                "isSetName": {
                    "type": "integer"
                },
                "leftMax": {
                    "type": "string"
                },
                "leftMin": {
                    "type": "string"
                },
                "modifyTime": {
                    "type": "string"
                },
                "myChartClassifyId": {
                    "type": "string"
                },
                "myChartId": {
                    "type": "integer"
                },
                "rightMax": {
                    "type": "string"
                },
                "rightMin": {
                    "type": "string"
                },
                "seasonEndDate": {
                    "type": "string"
                },
                "seasonStartDate": {
                    "type": "string"
                },
                "sort": {
                    "type": "integer"
                },
                "startDate": {
                    "type": "string"
                },
                "sysUserId": {
                    "type": "integer"
                },
                "sysUserRealName": {
                    "type": "string"
                },
                "uniqueCode": {
                    "type": "string"
                }
            }
        },
        "chart_info.ChartSaveItem": {
            "type": "object",
            "properties": {
                "chartColor": {
                    "type": "string"
                },
                "chartStyle": {
                    "type": "string"
                },
                "chartWidth": {
                    "type": "number"
                },
                "edbInfoId": {
                    "type": "integer"
                },
                "edbInfoType": {
                    "type": "integer"
                },
                "isAxis": {
                    "type": "integer"
                },
                "isOrder": {
                    "type": "boolean"
                },
                "leadUnit": {
                    "type": "string"
                },
                "leadValue": {
                    "type": "integer"
                },
                "maxData": {
                    "type": "number"
                },
                "minData": {
                    "type": "number"
                }
            }
        },
        "chart_info.ChartSortInfo": {
            "type": "object",
            "properties": {
                "chartInfoId": {
                    "type": "integer"
                },
                "myChartClassifyId": {
                    "type": "integer"
                },
                "myChartClassifyName": {
                    "type": "string"
                },
                "myChartId": {
                    "type": "integer"
                },
                "sort": {
                    "type": "integer"
                },
                "switch": {
                    "type": "integer"
                },
                "uniqueCode": {
                    "type": "string"
                }
            }
        },
        "chart_info.SaveChartInfoReq": {
            "type": "object",
            "properties": {
                "calendar": {
                    "type": "string"
                },
                "chartEdbInfoList": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/chart_info.ChartSaveItem"
                    }
                },
                "chartInfoId": {
                    "type": "integer"
                },
                "dateType": {
                    "type": "integer"
                },
                "endDate": {
                    "type": "string"
                },
                "leftMax": {
                    "type": "string"
                },
                "leftMin": {
                    "type": "string"
                },
                "rightMax": {
                    "type": "string"
                },
                "rightMin": {
                    "type": "string"
                },
                "seasonEndDate": {
                    "type": "string"
                },
                "seasonStartDate": {
                    "type": "string"
                },
                "startDate": {
                    "type": "string"
                }
            }
        },
        "company.FiccPermissionList": {
            "type": "object",
            "properties": {
                "classifyName": {
                    "type": "string"
                },
                "items": {
                    "description": "HasPermission bool              ` + "`" + `description:\"是否有权限\"` + "`" + `",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/company.PermissionItem"
                    }
                }
            }
        },
        "company.PermissionItem": {
            "type": "object",
            "properties": {
                "permissionId": {
                    "type": "integer"
                },
                "permissionName": {
                    "type": "string"
                }
            }
        },
        "logic.ApplyVariety": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "permission_name": {
                    "type": "string"
                },
                "pic_url": {
                    "type": "string"
                }
            }
        },
        "my_chart.MoveMyChartClassifyReq": {
            "type": "object",
            "properties": {
                "myChartClassifyId": {
                    "type": "integer"
                },
                "nextClassifyId": {
                    "type": "integer"
                },
                "prevClassifyId": {
                    "type": "integer"
                }
            }
        },
        "my_chart.MoveMyChartReq": {
            "type": "object",
            "properties": {
                "myChartClassifyId": {
                    "type": "integer"
                },
                "myChartId": {
                    "type": "integer"
                },
                "nextMyChartId": {
                    "type": "integer"
                },
                "prevMyChartId": {
                    "type": "integer"
                }
            }
        },
        "my_chart.MyChartClassifyListResp": {
            "type": "object",
            "properties": {
                "private_classify": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/my_chart_classify.MyChartClassify"
                    }
                },
                "public_classify": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/my_chart_classify.MyChartClassify"
                    }
                }
            }
        },
        "my_chart.MyChartList": {
            "type": "object",
            "properties": {
                "calendar": {
                    "type": "string"
                },
                "chartClassifyId": {
                    "type": "integer"
                },
                "chartImage": {
                    "type": "string"
                },
                "chartInfoId": {
                    "type": "integer"
                },
                "chartName": {
                    "type": "string"
                },
                "chartType": {
                    "type": "integer"
                },
                "createTime": {
                    "type": "string"
                },
                "dateType": {
                    "type": "integer"
                },
                "edbEndDate": {
                    "type": "string"
                },
                "edbInfoIds": {
                    "type": "string"
                },
                "endDate": {
                    "type": "string"
                },
                "isAdd": {
                    "type": "boolean"
                },
                "isSetName": {
                    "type": "integer"
                },
                "modifyTime": {
                    "type": "string"
                },
                "myChartClassifyId": {
                    "type": "string"
                },
                "myChartClassifyName": {
                    "type": "string"
                },
                "myChartId": {
                    "type": "integer"
                },
                "seasonEndDate": {
                    "type": "string"
                },
                "seasonStartDate": {
                    "type": "string"
                },
                "sort": {
                    "type": "number"
                },
                "startDate": {
                    "type": "string"
                },
                "sysUserId": {
                    "type": "integer"
                },
                "sysUserRealName": {
                    "type": "string"
                },
                "uniqueCode": {
                    "type": "string"
                }
            }
        },
        "my_chart_classify.MyChartClassify": {
            "type": "object",
            "properties": {
                "adminId": {
                    "description": "用户id",
                    "type": "integer"
                },
                "companyPublicTime": {
                    "description": "用户可见公开时间",
                    "type": "string"
                },
                "createTime": {
                    "type": "string"
                },
                "isCompanyPublic": {
                    "description": "是否用户可见：0-否 1-是",
                    "type": "integer"
                },
                "isPublic": {
                    "description": "是否所有人可见，0：仅自己可见，1：所有人可见",
                    "type": "integer"
                },
                "modifyTime": {
                    "type": "string"
                },
                "myChartClassifyId": {
                    "type": "integer"
                },
                "myChartClassifyName": {
                    "description": "分类名称",
                    "type": "string"
                },
                "publicTime": {
                    "description": "公开时间",
                    "type": "string"
                },
                "sort": {
                    "description": "排序字段，值越小，越靠前",
                    "type": "integer"
                }
            }
        },
        "response.CommunityQuestionAudioItem": {
            "type": "object",
            "properties": {
                "audio_play_seconds": {
                    "type": "string"
                },
                "audio_size": {
                    "type": "string"
                },
                "audio_url": {
                    "type": "string"
                },
                "community_question_id": {
                    "type": "integer"
                },
                "sort": {
                    "type": "integer"
                }
            }
        },
        "response.CommunityQuestionItem": {
            "type": "object",
            "properties": {
                "audio_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/response.CommunityQuestionAudioItem"
                    }
                },
                "auth_ok": {
                    "type": "boolean"
                },
                "chart_permission_id": {
                    "type": "integer"
                },
                "chart_permission_name": {
                    "type": "string"
                },
                "community_question_id": {
                    "type": "integer"
                },
                "create_time": {
                    "type": "string"
                },
                "is_read": {
                    "type": "integer"
                },
                "is_top": {
                    "type": "integer"
                },
                "permission_info": {
                    "$ref": "#/definitions/response.PermissionCheckInfo"
                },
                "question_content": {
                    "type": "string"
                },
                "replier_avatar": {
                    "type": "string"
                },
                "replier_rank": {
                    "type": "string"
                },
                "replier_real_name": {
                    "type": "string"
                },
                "reply_time": {
                    "type": "string"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "response.CommunityQuestionListTotal": {
            "type": "object",
            "properties": {
                "replied": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                },
                "wait": {
                    "type": "integer"
                }
            }
        },
        "response.CustomerInfo": {
            "type": "object",
            "properties": {
                "company_name": {
                    "type": "string"
                },
                "has_apply": {
                    "type": "boolean"
                },
                "is_suspend": {
                    "type": "integer"
                },
                "mobile": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "response.LoginResp": {
            "type": "object",
            "properties": {
                "authorization": {
                    "type": "string"
                },
                "is_bind": {
                    "type": "boolean"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "response.PermissionCheckInfo": {
            "type": "object",
            "properties": {
                "customer_info": {
                    "$ref": "#/definitions/response.CustomerInfo"
                },
                "hz_phone": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "type": {
                    "type": "string"
                }
            }
        },
        "services.SharePosterReq": {
            "type": "object",
            "properties": {
                "code_page": {
                    "type": "string"
                },
                "code_scene": {
                    "type": "string"
                },
                "pars": {
                    "type": "string"
                },
                "source": {
                    "type": "string"
                },
                "version": {
                    "type": "string"
                }
            }
        },
        "user.ApplyReq": {
            "type": "object",
            "properties": {
                "business_card_url": {
                    "type": "string"
                },
                "company_name": {
                    "type": "string"
                },
                "from_page": {
                    "type": "string"
                },
                "permission": {
                    "type": "string"
                },
                "real_name": {
                    "type": "string"
                },
                "source": {
                    "type": "integer"
                },
                "source_agent": {
                    "type": "integer"
                }
            }
        },
        "user.CompanyPermission": {
            "type": "object",
            "properties": {
                "name": {
                    "type": "string"
                },
                "permission_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/user.PermissionList"
                    }
                }
            }
        },
        "user.Detail": {
            "type": "object",
            "properties": {
                "admin_info": {
                    "$ref": "#/definitions/admin.Admin"
                },
                "company_name": {
                    "type": "string"
                },
                "email": {
                    "type": "string"
                },
                "is_inner": {
                    "type": "integer"
                },
                "is_suspend": {
                    "type": "integer"
                },
                "mobile": {
                    "type": "string"
                },
                "permission_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/user.CompanyPermission"
                    }
                },
                "real_name": {
                    "type": "string"
                },
                "seal_mobile": {
                    "type": "string"
                },
                "seal_name": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "user.LoginReq": {
            "type": "object",
            "properties": {
                "area_num": {
                    "type": "integer"
                },
                "bind_type": {
                    "type": "integer"
                },
                "email": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "verify_code": {
                    "type": "string"
                }
            }
        },
        "user.LoginResp": {
            "type": "object",
            "properties": {
                "email": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "token": {
                    "type": "string"
                },
                "user_id": {
                    "type": "integer"
                }
            }
        },
        "user.PermissionList": {
            "type": "object",
            "properties": {
                "end_date": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "start_date": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "user.Record": {
            "type": "object",
            "properties": {
                "business_card_url": {
                    "type": "string"
                },
                "company_name": {
                    "type": "string"
                },
                "mobile": {
                    "type": "string"
                },
                "real_name": {
                    "type": "string"
                }
            }
        },
        "yb_activity.ActivityDetail": {
            "type": "object",
            "properties": {
                "activityId": {
                    "type": "integer"
                },
                "activityName": {
                    "description": "活动名称",
                    "type": "string"
                },
                "activityState": {
                    "description": "活动状态 1-本周预告 2-进行中 3-已结束",
                    "type": "integer"
                },
                "activityTypeId": {
                    "description": "活动类型ID",
                    "type": "integer"
                },
                "activityTypeName": {
                    "description": "活动类型名称",
                    "type": "string"
                },
                "address": {
                    "description": "活动地址",
                    "type": "string"
                },
                "americaTel": {
                    "description": "美国拨入",
                    "type": "string"
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "endTime": {
                    "description": "活动结束时间",
                    "type": "string"
                },
                "firstActivityTypeId": {
                    "description": "第一级的活动类型ID",
                    "type": "integer"
                },
                "firstActivityTypeName": {
                    "description": "第一级的活动类型名称",
                    "type": "string"
                },
                "hasPlayBack": {
                    "description": "是否有回放",
                    "type": "integer"
                },
                "hasRemind": {
                    "description": "是否已提醒",
                    "type": "integer"
                },
                "hongKongTel": {
                    "description": "香港拨入",
                    "type": "string"
                },
                "isLimitPeople": {
                    "description": "是否限制人数 1是，0否",
                    "type": "integer"
                },
                "limitPeopleNum": {
                    "description": "限制人数数量",
                    "type": "integer"
                },
                "linkParticipants": {
                    "description": "参会链接",
                    "type": "string"
                },
                "mainlandTel": {
                    "description": "大陆拨入",
                    "type": "string"
                },
                "participationCode": {
                    "description": "参会密码",
                    "type": "string"
                },
                "registerState": {
                    "description": "报名状态 0-取消报名 1-已报名",
                    "type": "integer"
                },
                "registeredNum": {
                    "description": "已报名人数",
                    "type": "integer"
                },
                "reportLink": {
                    "description": "报告链接",
                    "type": "string"
                },
                "reportName": {
                    "description": "报告名称",
                    "type": "string"
                },
                "singaporeTel": {
                    "description": "新加坡拨入",
                    "type": "string"
                },
                "speaker": {
                    "description": "主讲人",
                    "type": "string"
                },
                "speakerBackgroundPic": {
                    "description": "主讲人背景图",
                    "type": "string"
                },
                "speakerHeadPic": {
                    "description": "主讲人头像",
                    "type": "string"
                },
                "startTime": {
                    "description": "活动开始时间",
                    "type": "string"
                },
                "taiwanTel": {
                    "description": "台湾拨入",
                    "type": "string"
                },
                "weekString": {
                    "description": "周几",
                    "type": "string"
                }
            }
        },
        "yb_activity_voice.YbActivityVoice": {
            "type": "object",
            "properties": {
                "activityId": {
                    "description": "活动id",
                    "type": "integer"
                },
                "createTime": {
                    "type": "string"
                },
                "voiceName": {
                    "description": "音频名称",
                    "type": "string"
                },
                "voicePlaySeconds": {
                    "description": "音频时长",
                    "type": "string"
                },
                "voiceUrl": {
                    "description": "音频地址",
                    "type": "string"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.0",
	Host:        "127.0.0.1:8607",
	BasePath:    "/",
	Schemes:     []string{},
	Title:       "弘则研报API接口文档",
	Description: "这是弘则研报API接口文档",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
		"escape": func(v interface{}) string {
			// escape tabs
			str := strings.Replace(v.(string), "\t", "\\t", -1)
			// replace " with \", and if that results in \\", replace that with \\\"
			str = strings.Replace(str, "\"", "\\\"", -1)
			return strings.Replace(str, "\\\\\"", "\\\\\\\"", -1)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register("swagger", &s{})
}
