package chart_classify

import "time"

// ChartClassify 图表分类表
type ChartClassify struct {
	ChartClassifyID   int       `gorm:"primaryKey;column:chart_classify_id;type:int(11);not null" json:"-"`
	ChartClassifyName string    `gorm:"column:chart_classify_name;type:varchar(255);not null;default:''" json:"chartClassifyName"` // 分类名称
	ParentID          int       `gorm:"column:parent_id;type:int(11);not null;default:0" json:"parentId"`                          // 父级id
	HasData           int8      `gorm:"column:has_data;type:tinyint(4);default:0" json:"hasData"`                                  // 是否存在指标数据:1有，2：无
	CreateTime        time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`                                        // 创建时间
	ModifyTime        time.Time `gorm:"column:modify_time;type:datetime" json:"modifyTime"`                                        // 修改时间
	SysUserID         int       `gorm:"column:sys_user_id;type:int(11)" json:"sysUserId"`                                          // 创建人id
	SysUserRealName   string    `gorm:"column:sys_user_real_name;type:varchar(50)" json:"sysUserRealName"`                         // 创建人姓名
	Level             int       `gorm:"column:level;type:int(11);default:0" json:"level"`                                          // 层级
	UniqueCode        string    `gorm:"unique;column:unique_code;type:varchar(50);default:''" json:"uniqueCode"`
	Sort              uint32    `gorm:"column:sort;type:int(9) unsigned;default:10" json:"sort"` // 排序字段，越小越靠前，默认值：10
}

// TableName get sql table name.获取数据库表名
func (m *ChartClassify) TableName() string {
	return "chart_classify"
}

// ChartClassifyColumns get sql column name.获取数据库列名
var ChartClassifyColumns = struct {
	ChartClassifyID   string
	ChartClassifyName string
	ParentID          string
	HasData           string
	CreateTime        string
	ModifyTime        string
	SysUserID         string
	SysUserRealName   string
	Level             string
	UniqueCode        string
	Sort              string
}{
	ChartClassifyID:   "chart_classify_id",
	ChartClassifyName: "chart_classify_name",
	ParentID:          "parent_id",
	HasData:           "has_data",
	CreateTime:        "create_time",
	ModifyTime:        "modify_time",
	SysUserID:         "sys_user_id",
	SysUserRealName:   "sys_user_real_name",
	Level:             "level",
	UniqueCode:        "unique_code",
	Sort:              "sort",
}