package chart_info_future_good_profit

import "time"

// ChartInfoFutureGoodProfit 商品利润详情
type ChartInfoFutureGoodProfit struct {
	ChartInfoId  int       `gorm:"primaryKey;column:chart_info_id;type:int(10) unsigned;not null" json:"-"`        // 图表ID（chart_info表source=5的）
	ProfitName   string    `gorm:"column:profit_name;type:varchar(16);not null;default:''" json:"profitName"`      // 领先单位
	ProfitNameEn string    `gorm:"column:profit_name_en;type:varchar(16);not null;default:''" json:"ProfitNameEn"` // 领先单位
	XValue       string    `gorm:"column:x_value;type:text" json:"x_value"`                                        // x轴的数据值
	YValue       string    `gorm:"column:y_value;type:text" json:"y_value"`                                        // y轴的数据值
	CreateTime   time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`                             // 创建时间
	ModifyTime   time.Time `gorm:"column:modify_time;type:datetime" json:"modifyTime"`                             // 更新时间
}

// TableName get sql table name.获取数据库表名
func (m *ChartInfoFutureGoodProfit) TableName() string {
	return "chart_info_future_good_profit"
}

// ChartInfoFutureGoodProfitColumns get sql column name.获取数据库列名
var ChartInfoFutureGoodProfitColumns = struct {
	ChartInfoId  string
	ProfitName   string
	ProfitNameEn string
	XValue       string
	YValue       string
	CreateTime   string
	ModifyTime   string
}{
	ChartInfoId:  "chart_info_id",
	ProfitName:   "profit_name",
	ProfitNameEn: "profit_name_en",
	XValue:       "x_value",
	YValue:       "y_value",
	CreateTime:   "create_time",
	ModifyTime:   "modify_time",
}
