package yb_comment

import "time"

// 研报 用户留言表
type YbComment struct {
	CommentId          uint64    `gorm:"primaryKey;column:comment_id;type:bigint(20) unsigned;not null" ` //留言ID
	UserId             uint64    `gorm:"column:user_id"`                                                  //用户id
	AdminId            uint64    `gorm:"column:admin_id"`                                                 //发布留言回复的管理员ID
	ReportId           int       `gorm:"column:report_id"`                                                //报告ID
	ReportChapterId    int       `gorm:"column:report_chapter_id"`                                        //报告章节ID
	Content            string    `gorm:"column:content"`                                                  //留言内容
	SysIsRead          int8      `gorm:"column:sys_is_read"`                                              //管理员是否已读 0-未读，1-已读
	SysReadTime        time.Time `gorm:"column:sys_read_time"`                                            //管理员已读时间
	SysReadAdminId     int64     `gorm:"column:sys_read_admin_id"`                                        //已读的管理员id
	ReplyCommentId     uint64    `gorm:"column:reply_comment_id"`                                         //回复的留言ID
	IsTop              int8      `gorm:"column:is_top"`                                                   //是否置顶（0-未置顶，1-置顶）
	IsHot              int8      `gorm:"column:is_hot"`                                                   //是否设置精选（0-未设置，1-已设置）
	HotTopTime         time.Time `gorm:"column:hot_top_time"`                                             //设置精选或者设置置顶的时间
	Type               int8      `gorm:"column:type"`                                                     //留言类型 1-评论 2-回复
	Enabled            int8      `gorm:"column:enabled"`                                                  //是否有效, 0-无效留言 1-有效留言
	IsShowName         int8      `gorm:"column:is_show_name"`                                             //是否匿名 0-匿名，1-不匿名
	SourceAgent        int       `gorm:"column:source_agent"`                                             //留言入口来源，1：小程序，2：pc
	CreateTime         time.Time `gorm:"column:create_time"`                                              //创建时间
	ModifyTime         time.Time `gorm:"column:modify_time"`                                              //修改时间
	OldReportId        int       `gorm:"column:old_report_id"  json:"old_report_id" `                     //老报告ID
	OldReportChapterId int       `gorm:"column:old_report_chapter_id" json:"old_report_chapter_id" `      //老报告章节ID
	RealName           string    `gorm:"column:real_name"`                                                //留言内容
}

func (yc *YbComment) TableName() string {
	return "yb_comment"
}