package yb_config

import "time"

// YbConfig 研报相关配置表
type YbConfig struct {
	ConfigID    int       `gorm:"primaryKey;column:config_id;type:int(11);not null" json:"-"`
	ConfigCode  string    `gorm:"column:config_code;type:varchar(50);default:''" json:"configCode"` // 配置编码
	ConfigValue string    `gorm:"column:config_value;type:text" json:"configValue"`                 // 配置值
	Remark      string    `gorm:"column:remark;type:varchar(255);default:''" json:"remark"`         // 备注信息
	CreateTime  time.Time `gorm:"column:create_time;type:datetime" json:"createTime"`               // 创建时间
}

// TableName get sql table name.获取数据库表名
func (m *YbConfig) TableName() string {
	return "yb_config"
}

// YbConfigColumns get sql column name.获取数据库列名
var YbConfigColumns = struct {
	ConfigID    string
	ConfigCode  string
	ConfigValue string
	Remark      string
	CreateTime  string
}{
	ConfigID:    "config_id",
	ConfigCode:  "config_code",
	ConfigValue: "config_value",
	Remark:      "remark",
	CreateTime:  "create_time",
}

const (
	KeyUseCopyYb        = "use_copy_yb"
	UserChartCollectMax = "user_chart_collect_max" // 用户图表收藏上限
	TelAreaList         = "tel_area_list"
	DefaultSpeakerHeadPic = "default_speaker_head_pic" // 默认演讲人头像
)
