package yb_view_log

import "time"

// 研报访问记录表-综合各模块
type YbViewLog struct {
	Id            uint64    `gorm:"primaryKey;column:id" json:"id"`
	UserId        uint64       `gorm:"column:user_id" json:"user_id"`               //用户ID
	PrimaryId     int       `gorm:"column:primary_id" json:"primary_id"`         //访问类型对应主键ID(如：活动音频记录音频ID)
	ExtendId      int       `gorm:"column:extend_id" json:"extend_id"`           //扩展ID(如：活动音频记录活动ID)
	ViewType      uint8     `gorm:"column:view_type" json:"view_type"`           //访问类型：1-活动详情；2-活动音频；3-报告详情；4-报告音频；5-ETA图库；6-问答社区音频；7-价格驱动；8-语音播报详情；9-语音播报音频；10-沙盘推演；
	Source        uint8     `gorm:"column:source" json:"source"`                 //来源：1-小程序；2-小程序PC端；3-公众号；4-Web PC端
	FromPage      string    `gorm:"column:from_page" json:"from_page"`           //来源页面
	ViewSeconds   uint      `gorm:"column:view_seconds" json:"view_seconds"`     //访问时长(秒)
	QuitType      uint8     `gorm:"column:quit_type" json:"quit_type"`           //退出类型：1-正常退出；2-强制退出；
	CreateTime    time.Time `gorm:"column:create_time" json:"create_time"`       //创建时间
	SellerId      int       `gorm:"column:seller_id" json:"seller_id"`           //客户对应的销售ID
	CompanyId     int64      `gorm:"column:company_id" json:"company_id"`         //客户ID
	CompanyName   string    `gorm:"column:company_name" json:"company_name"`     //客户名称
	CompanyStatus string    `gorm:"column:company_status" json:"company_status"` //客户状态
	ReportId      int       `gorm:"column:report_id" json:"report_id"`           //报告ID
	OldReportId   int       `gorm:"column:old_report_id" json:"old_report_id"`   //老报告ID
	StopSeconds   int       `gorm:"column:stop_seconds" json:"stop_seconds"`     //停止时的秒数
	ModifyTime    time.Time `gorm:"column:modify_time" json:"modify_time"`       //修改时间
}

// TableName get sql table name.获取数据库表名
func (i *YbViewLog) TableName() string {
	return "yb_view_log"
}

